> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--scan/types/objects/scan-in-progress-response.md).

# scanInProgressResponse

Status information about an ongoing scan.

### Examples

```graphql
type ScanInProgressResponse {
  scanID: String
  isInProgress: Boolean
  scanStage: ScanStage
  isFullScan: Boolean
  isContainerFullScan: Boolean
  isSingleRepoScan: Boolean
  isDastFullScan: Boolean
  isDastOnlyScan: Boolean
}
```

### Fields

| Field                                                                                         | Description                                                                | Supported fields |
| --------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------- | ---------------- |
| scanID `String`                                                                               | Unique identifier of the scan                                              |                  |
| isInProgress `Boolean`                                                                        | Indicates if a scan is currently running                                   |                  |
| scanStage [`ScanStage`](/api-documentation/api-reference/api--scan/types/enums/scan-stage.md) | Current stage of the scan process                                          |                  |
| isFullScan `Boolean`                                                                          | Indicates if this is a full code scan rather than an incremental scan      |                  |
| isContainerFullScan `Boolean`                                                                 | Indicates if this is a full container scan rather than an incremental scan |                  |
| isSingleRepoScan `Boolean`                                                                    | Indicates if this is a scan of a single repository                         |                  |
| isDastFullScan `Boolean`                                                                      | Indicates if this is a full DAST scan rather than an incremental scan      |                  |
| isDastOnlyScan `Boolean`                                                                      | Indicates if this is a DAST-only scan                                      |                  |

### References

#### Queries using this object:

* [\<?> checkScanInProgress](/api-documentation/api-reference/api--scan/queries/check-scan-in-progress.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--scan/types/objects/scan-in-progress-response.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
